library ieee;
use ieee.std_logic_1164.all;

entity Mux2Inputs is
	generic (
		NBits : integer := 32
	);
	port (
		Sel     : in std_logic;
		DataIn0 : in std_logic_vector((NBits - 1) downto 0);
		DataIn1 : in std_logic_vector((NBits - 1) downto 0);
		DataOut : out std_logic_vector((NBits - 1) downto 0)
	);
end entity;

architecture Architecture1 of Mux2Inputs is
begin
	DataOut <= DataIn0 when (Sel = '0') else
	           DataIn1;
end architecture;
